Subject: Re: Just installed Cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: "John Seeliger" <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Jun 2002 22:56:31 +0200

Hallo John,

Am Dienstag, 18. Juni 2002 um 21:09 schriebst du:

> I just installed cygwin to be able to use perl, sed, grep and a few Unix
> utilities on my Win XP Home Edition computer and I chose Unix file names
> during the installation and I now see from
> <http://cygwin.com/faq/faq.html#SEC59> that I shouldn't have done that since
> perl looks for aux.sh and Windows will hang up when looking for a filename
> with com1, lpt1 or aux as root or extension.  And sure enough when I try
> perl in the shell, it does hang.  So, do I need to delete everything and
> reinstall from scratch?  Any other tips so I can avoid any other newbie-type
> mistakes and wasting even more time.

No, there is no problem with perl.
What hangs with perl if you try it?

BTW:
$ touch aux
touch: setting times of `aux': Invalid argument
$ ls

$ touch aux.test
touch: setting times of `aux.test': Invalid argument
$ ls

$ touch test.aux
$ ls
test.aux

-> Extensions are allowed.

This section in the FAQ is outdated at least for my NT box perl
works fine and extensions with special names are allowed).

Gerrit
-- 
$ uname -a
CYGWIN_NT-4.0 LORELEY 1.3.10(0.51/3/2) 2002-02-25 11:14 i686 unknown

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/